Bug 117086 - Migration from bison-1.x to bison-2.x
Migration from bison-1.x to bison-2.x
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: ade
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 23:00 UTC by ade
Modified: 2007-10-17 11:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ade freebsd_committer 2007-10-10 23:00:04 UTC
	Convert all ports using bison-1.x to bison-2.x
	Extend the USE_BISON construct to build|run|both (yes is
	kept as a backwards-compatible construct to build), allowing for
	later portlint changes to identify incorrect direct dependencies
	on devel/bison

Fix: 

Apply patch.  Most likely will need an -exp run.
How-To-Repeat: 
	http://freebsd.lovett.com/patches/bison-20071010.diff
	MD5: 861f97f0373d03c81131ef314489e5eb

	This patch has been extensively tested on local tinderboxes.
Comment 1 ade freebsd_committer 2007-10-10 23:02:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr to determine if an -exp build is required.
Comment 2 Mark Linimon freebsd_committer 2007-10-11 21:58:31 UTC
State Changed
From-To: open->analyzed

To be tested on the cluster.
Comment 3 Mark Linimon freebsd_committer 2007-10-17 08:12:37 UTC
State Changed
From-To: analyzed->open

Tested successfully on the cluster; clear to commit. 


Comment 4 Mark Linimon freebsd_committer 2007-10-17 08:12:37 UTC
Responsible Changed
From-To: portmgr->ade
Comment 5 dfilter freebsd_committer 2007-10-17 11:13:06 UTC
ade         2007-10-17 10:13:01 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    Mk                   bsd.port.mk 
    audio/denemo         Makefile 
    audio/rezound        Makefile 
    audio/sfront         Makefile 
    biology/chemeq       Makefile 
    cad/alliance         Makefile 
    cad/iverilog         Makefile 
    cad/opencascade      Makefile 
    cad/tkgate           Makefile 
    databases/clip       Makefile 
    databases/evolution-data-server Makefile 
    databases/firebird-server Makefile 
    databases/firebird2-server Makefile 
    databases/mdbtools   Makefile 
    databases/postgis    Makefile 
    databases/postgresql-contrib Makefile 
    databases/postgresql74-server Makefile 
    databases/postgresql80-server Makefile 
    databases/postgresql81-server Makefile 
    databases/postgresql82-server Makefile 
    databases/xbsql      Makefile 
    deskutils/gnome-pim  Makefile 
    deskutils/kdepim3    Makefile 
    deskutils/tpb        Makefile 
    devel                Makefile 
    devel/as31           Makefile 
    devel/avr-gcc        Makefile 
    devel/avr-gcc-3      Makefile 
    devel/bison          Makefile distinfo pkg-plist 
    devel/cross-gcc      Makefile 
    devel/eboxy          Makefile 
    devel/hp48cc         Makefile 
    devel/kimwitu++      Makefile 
    devel/kscope         Makefile 
    devel/libIDL         Makefile 
    devel/libbonobo      Makefile 
    devel/libmimedir     Makefile 
    devel/libvc          Makefile 
    devel/powerpc-gcc    Makefile 
    devel/pwlib          Makefile 
    devel/py-bison       Makefile 
    devel/ragel          Makefile 
    devel/ruby-rbison    Makefile 
    devel/sfslite        Makefile 
    devel/sourcenav      Makefile 
    devel/tavrasm        Makefile 
    devel/tigcc          Makefile 
    editors/lfhex        Makefile 
    editors/openoffice.org-1.0 Makefile 
    editors/openoffice.org-1.1 Makefile 
    editors/openoffice.org-1.1-devel Makefile 
    editors/openoffice.org-2 Makefile 
    editors/openoffice.org-2-RC Makefile 
    editors/openoffice.org-2-devel Makefile 
    editors/xmleditor    Makefile 
    emulators/nonpareil  Makefile 
    emulators/wine       Makefile 
    french/aster         Makefile 
    games/flobopuyo      Makefile 
    games/kaid           Makefile 
    games/noegnud-littlehack Makefile 
    games/noegnud-nethack Makefile 
    games/noegnud-nethack-deet Makefile 
    games/noegnud-slashem Makefile 
    games/quakeforge     Makefile 
    games/warzone2100    Makefile 
    games/windstille     Makefile 
    graphics/aqsis       Makefile 
    graphics/flasm       Makefile 
    graphics/fractorama  Makefile 
    graphics/graphviz    Makefile 
    graphics/ming        Makefile 
    graphics/opendx      Makefile 
    graphics/sswf        Makefile 
    graphics/tcm         Makefile 
    irc/ircd-hybrid-ru   Makefile 
    japanese/ming        Makefile 
    japanese/nethack34   Makefile 
    japanese/oleo        Makefile 
    japanese/xjtext      Makefile 
    java/jmp             Makefile 
    lang/gcc-ooo         Makefile 
    lang/gcc33           Makefile 
    lang/gcc34           Makefile 
    lang/gcc41           Makefile 
    lang/gcc42           Makefile 
    lang/gcc43           Makefile 
    lang/gdc             Makefile 
    lang/gnat            Makefile 
    lang/gnat-gcc41      Makefile 
    lang/gnat-gcc42      Makefile 
    lang/gnat-gcc43      Makefile 
    lang/gpc             Makefile 
    lang/harbour         Makefile 
    lang/hugs            Makefile 
    lang/llvm-gcc4       Makefile 
    lang/maude           Makefile 
    lang/mono            Makefile 
    lang/mozart          Makefile 
    lang/ohugs           Makefile 
    lang/parrot          Makefile 
    lang/pike72          Makefile 
    lang/pike76          Makefile 
    lang/ptoc            Makefile 
    lang/q               Makefile 
    lang/spl             Makefile 
    lang/tinycobol       Makefile 
    lang/vala            Makefile 
    lang/yabasic         Makefile 
    mail/esmtp           Makefile 
    mail/evolution       Makefile 
    mail/filtermail      Makefile 
    mail/freepops        Makefile 
    mail/libsieve        Makefile 
    mail/mairix          Makefile 
    math/abakus          Makefile 
    math/cvc3            Makefile 
    math/eukleides       Makefile 
    math/freefem++       Makefile 
    math/gcalctool       Makefile 
    math/graphthing      Makefile 
    math/oleo            Makefile 
    math/rascal          Makefile 
    misc/boxes           Makefile 
    misc/lifelines       Makefile 
    misc/terraform       Makefile 
    multimedia/bmpx      Makefile 
    multimedia/dvdauthor Makefile 
    multimedia/gstreamer Makefile 
    net/asterisk         Makefile 
    net/asterisk-bristuff Makefile 
    net/asterisk12       Makefile 
    net/bird             Makefile 
    net/cphone           Makefile 
    net/dictd            Makefile 
    net/lambdamoo        Makefile 
    net/libpcap          Makefile 
    net/ohphone          Makefile 
    net/olsrd            Makefile 
    net/openh323         Makefile 
    net/openmcu          Makefile 
    net/tcpview          Makefile 
    net/twinkle          Makefile 
    net/unfs3            Makefile 
    net/yate-devel       Makefile 
    net/yptransitd       Makefile 
    net-im/gtkyahoo      Makefile 
    net-mgmt/argus       Makefile 
    net-mgmt/argus-clients Makefile 
    net-mgmt/cflowd      Makefile 
    net-mgmt/docsis      Makefile 
    net-mgmt/irrtoolset  Makefile 
    net-mgmt/netmond     Makefile 
    net-p2p/gtk-gnutella Makefile 
    palm/gnome-pilot-conduits Makefile 
    palm/pdbc            Makefile 
    palm/prc-tools       Makefile 
    ports-mgmt/instant-tinderbox Makefile 
    ports-mgmt/portmk/Mk bsd.port.mk 
    print/libgnomeprint  Makefile 
    print/lilypond       Makefile 
    science/omnetpp      Makefile 
    security/aide        Makefile 
    security/bro         Makefile 
    security/nessus-libnasl Makefile 
    security/nessus-libraries Makefile 
    sysutils/monit       Makefile 
    sysutils/powerman    Makefile 
    textproc/carthage    Makefile 
    textproc/dict        Makefile 
    textproc/flex        Makefile 
    textproc/htmltolatex Makefile 
    textproc/latte       Makefile 
    textproc/libpathan   Makefile 
    textproc/mifluz      Makefile 
    textproc/scrollkeeper Makefile 
    textproc/syck        Makefile 
    textproc/xxdiff      Makefile 
    www/bk_edit          Makefile 
    www/cherokee         Makefile 
    www/cherokee-devel   Makefile 
    www/elinks           Makefile 
    www/srg              Makefile 
    x11/gnome-desktop    Makefile 
    x11/libgnome         Makefile 
    x11/xstroke          Makefile 
    x11-clocks/buici-clock Makefile 
    x11-toolkits/libgnomeprintui Makefile 
    x11-toolkits/libgnomeui Makefile 
    x11-toolkits/libwnck Makefile 
    x11-toolkits/libzvt  Makefile 
    x11-toolkits/vte     Makefile 
  Removed files:
    devel/bison2         Makefile distinfo pkg-descr pkg-plist 
  Log:
  Migration from bison 1.x to 2.x
  
  PR:             117086
  Tested by:      -exp runs
  
  Revision  Changes    Path
  1.1502    +2 -1      ports/MOVED
  1.589     +25 -3     ports/Mk/bsd.port.mk
  1.29      +2 -2      ports/audio/denemo/Makefile
  1.13      +2 -2      ports/audio/rezound/Makefile
  1.28      +2 -1      ports/audio/sfront/Makefile
  1.11      +2 -1      ports/biology/chemeq/Makefile
  1.12      +2 -2      ports/cad/alliance/Makefile
  1.29      +2 -1      ports/cad/iverilog/Makefile
  1.6       +2 -2      ports/cad/opencascade/Makefile
  1.21      +2 -2      ports/cad/tkgate/Makefile
  1.54      +2 -2      ports/databases/clip/Makefile
  1.40      +2 -1      ports/databases/evolution-data-server/Makefile
  1.57      +2 -2      ports/databases/firebird-server/Makefile
  1.63      +2 -1      ports/databases/firebird2-server/Makefile
  1.29      +2 -2      ports/databases/mdbtools/Makefile
  1.43      +2 -1      ports/databases/postgis/Makefile
  1.14      +2 -2      ports/databases/postgresql-contrib/Makefile
  1.153     +2 -2      ports/databases/postgresql74-server/Makefile
  1.169     +2 -2      ports/databases/postgresql80-server/Makefile
  1.170     +2 -2      ports/databases/postgresql81-server/Makefile
  1.173     +2 -2      ports/databases/postgresql82-server/Makefile
  1.10      +2 -2      ports/databases/xbsql/Makefile
  1.65      +2 -2      ports/deskutils/gnome-pim/Makefile
  1.76      +2 -2      ports/deskutils/kdepim3/Makefile
  1.9       +2 -2      ports/deskutils/tpb/Makefile
  1.2913    +0 -1      ports/devel/Makefile
  1.8       +2 -2      ports/devel/as31/Makefile
  1.59      +2 -1      ports/devel/avr-gcc-3/Makefile
  1.64      +2 -2      ports/devel/avr-gcc/Makefile
  1.55      +22 -9     ports/devel/bison/Makefile
  1.18      +3 -3      ports/devel/bison/distinfo
  1.21      +53 -4     ports/devel/bison/pkg-plist
  1.61      +0 -67     ports/devel/bison2/Makefile (dead)
  1.18      +0 -3      ports/devel/bison2/distinfo (dead)
  1.5       +0 -22     ports/devel/bison2/pkg-descr (dead)
  1.26      +0 -73     ports/devel/bison2/pkg-plist (dead)
  1.6       +2 -2      ports/devel/cross-gcc/Makefile
  1.27      +2 -2      ports/devel/eboxy/Makefile
  1.7       +2 -2      ports/devel/hp48cc/Makefile
  1.14      +2 -2      ports/devel/kimwitu++/Makefile
  1.20      +2 -1      ports/devel/kscope/Makefile
  1.45      +2 -1      ports/devel/libIDL/Makefile
  1.57      +2 -2      ports/devel/libbonobo/Makefile
  1.11      +2 -1      ports/devel/libmimedir/Makefile
  1.8       +2 -2      ports/devel/libvc/Makefile
  1.5       +2 -2      ports/devel/powerpc-gcc/Makefile
  1.42      +2 -2      ports/devel/pwlib/Makefile
  1.4       +2 -1      ports/devel/py-bison/Makefile
  1.32      +2 -1      ports/devel/ragel/Makefile
  1.8       +2 -3      ports/devel/ruby-rbison/Makefile
  1.9       +2 -1      ports/devel/sfslite/Makefile
  1.21      +2 -2      ports/devel/sourcenav/Makefile
  1.7       +2 -1      ports/devel/tavrasm/Makefile
  1.17      +2 -1      ports/devel/tigcc/Makefile
  1.22      +2 -2      ports/editors/lfhex/Makefile
  1.215     +2 -2      ports/editors/openoffice.org-1.0/Makefile
  1.213     +2 -1      ports/editors/openoffice.org-1.1-devel/Makefile
  1.223     +2 -2      ports/editors/openoffice.org-1.1/Makefile
  1.308     +2 -1      ports/editors/openoffice.org-2-RC/Makefile
  1.339     +2 -1      ports/editors/openoffice.org-2-devel/Makefile
  1.290     +1 -1      ports/editors/openoffice.org-2/Makefile
  1.16      +2 -2      ports/editors/xmleditor/Makefile
  1.9       +3 -3      ports/emulators/nonpareil/Makefile
  1.244     +2 -1      ports/emulators/wine/Makefile
  1.56      +2 -1      ports/french/aster/Makefile
  1.6       +2 -2      ports/games/flobopuyo/Makefile
  1.3       +2 -2      ports/games/kaid/Makefile
  1.9       +2 -2      ports/games/noegnud-littlehack/Makefile
  1.9       +2 -2      ports/games/noegnud-nethack-deet/Makefile
  1.9       +2 -2      ports/games/noegnud-nethack/Makefile
  1.10      +2 -2      ports/games/noegnud-slashem/Makefile
  1.65      +2 -2      ports/games/quakeforge/Makefile
  1.19      +3 -3      ports/games/warzone2100/Makefile
  1.2       +2 -1      ports/games/windstille/Makefile
  1.27      +2 -2      ports/graphics/aqsis/Makefile
  1.12      +2 -1      ports/graphics/flasm/Makefile
  1.19      +2 -2      ports/graphics/fractorama/Makefile
  1.83      +2 -2      ports/graphics/graphviz/Makefile
  1.22      +2 -2      ports/graphics/ming/Makefile
  1.52      +2 -2      ports/graphics/opendx/Makefile
  1.8       +2 -1      ports/graphics/sswf/Makefile
  1.17      +2 -2      ports/graphics/tcm/Makefile
  1.14      +2 -1      ports/irc/ircd-hybrid-ru/Makefile
  1.12      +2 -2      ports/japanese/ming/Makefile
  1.54      +2 -2      ports/japanese/nethack34/Makefile
  1.23      +4 -3      ports/japanese/oleo/Makefile
  1.14      +2 -2      ports/japanese/xjtext/Makefile
  1.43      +2 -2      ports/java/jmp/Makefile
  1.200     +2 -2      ports/lang/gcc-ooo/Makefile
  1.216     +2 -2      ports/lang/gcc33/Makefile
  1.245     +2 -2      ports/lang/gcc34/Makefile
  1.332     +1 -1      ports/lang/gcc41/Makefile
  1.325     +1 -1      ports/lang/gcc42/Makefile
  1.326     +1 -1      ports/lang/gcc43/Makefile
  1.29      +2 -1      ports/lang/gdc/Makefile
  1.10      +2 -2      ports/lang/gnat-gcc41/Makefile
  1.12      +2 -1      ports/lang/gnat-gcc42/Makefile
  1.13      +2 -2      ports/lang/gnat-gcc43/Makefile
  1.57      +2 -2      ports/lang/gnat/Makefile
  1.16      +2 -1      ports/lang/gpc/Makefile
  1.10      +2 -1      ports/lang/harbour/Makefile
  1.50      +2 -2      ports/lang/hugs/Makefile
  1.10      +2 -1      ports/lang/llvm-gcc4/Makefile
  1.5       +2 -1      ports/lang/maude/Makefile
  1.67      +2 -2      ports/lang/mono/Makefile
  1.35      +2 -2      ports/lang/mozart/Makefile
  1.12      +2 -2      ports/lang/ohugs/Makefile
  1.19      +2 -2      ports/lang/parrot/Makefile
  1.38      +2 -2      ports/lang/pike72/Makefile
  1.39      +2 -1      ports/lang/pike76/Makefile
  1.25      +2 -2      ports/lang/ptoc/Makefile
  1.25      +2 -2      ports/lang/q/Makefile
  1.12      +2 -2      ports/lang/spl/Makefile
  1.27      +2 -1      ports/lang/tinycobol/Makefile
  1.7       +2 -1      ports/lang/vala/Makefile
  1.33      +2 -2      ports/lang/yabasic/Makefile
  1.14      +2 -1      ports/mail/esmtp/Makefile
  1.146     +2 -1      ports/mail/evolution/Makefile
  1.21      +2 -2      ports/mail/filtermail/Makefile
  1.13      +3 -1      ports/mail/freepops/Makefile
  1.8       +2 -1      ports/mail/libsieve/Makefile
  1.23      +2 -1      ports/mail/mairix/Makefile
  1.6       +4 -4      ports/math/abakus/Makefile
  1.4       +2 -1      ports/math/cvc3/Makefile
  1.16      +2 -2      ports/math/eukleides/Makefile
  1.72      +2 -1      ports/math/freefem++/Makefile
  1.64      +2 -2      ports/math/gcalctool/Makefile
  1.32      +2 -2      ports/math/graphthing/Makefile
  1.54      +2 -2      ports/math/oleo/Makefile
  1.33      +2 -2      ports/math/rascal/Makefile
  1.15      +2 -1      ports/misc/boxes/Makefile
  1.12      +2 -1      ports/misc/lifelines/Makefile
  1.10      +2 -2      ports/misc/terraform/Makefile
  1.40      +2 -1      ports/multimedia/bmpx/Makefile
  1.31      +2 -1      ports/multimedia/dvdauthor/Makefile
  1.63      +2 -1      ports/multimedia/gstreamer/Makefile
  1.23      +2 -2      ports/net-im/gtkyahoo/Makefile
  1.4       +2 -1      ports/net-mgmt/argus-clients/Makefile
  1.26      +2 -1      ports/net-mgmt/argus/Makefile
  1.36      +2 -2      ports/net-mgmt/cflowd/Makefile
  1.13      +2 -1      ports/net-mgmt/docsis/Makefile
  1.35      +2 -1      ports/net-mgmt/irrtoolset/Makefile
  1.10      +2 -2      ports/net-mgmt/netmond/Makefile
  1.45      +2 -2      ports/net-p2p/gtk-gnutella/Makefile
  1.68      +2 -2      ports/net/asterisk-bristuff/Makefile
  1.86      +2 -2      ports/net/asterisk/Makefile
  1.73      +2 -1      ports/net/asterisk12/Makefile
  1.2       +2 -1      ports/net/bird/Makefile
  1.19      +2 -2      ports/net/cphone/Makefile
  1.40      +2 -1      ports/net/dictd/Makefile
  1.9       +2 -1      ports/net/lambdamoo/Makefile
  1.15      +2 -1      ports/net/libpcap/Makefile
  1.30      +2 -2      ports/net/ohphone/Makefile
  1.7       +2 -1      ports/net/olsrd/Makefile
  1.79      +2 -2      ports/net/openh323/Makefile
  1.27      +2 -1      ports/net/openmcu/Makefile
  1.16      +2 -2      ports/net/tcpview/Makefile
  1.12      +2 -2      ports/net/twinkle/Makefile
  1.15      +2 -2      ports/net/unfs3/Makefile
  1.2       +2 -1      ports/net/yate-devel/Makefile
  1.8       +2 -3      ports/net/yptransitd/Makefile
  1.51      +2 -2      ports/palm/gnome-pilot-conduits/Makefile
  1.2       +2 -1      ports/palm/pdbc/Makefile
  1.56      +2 -2      ports/palm/prc-tools/Makefile
  1.12      +2 -2      ports/ports-mgmt/instant-tinderbox/Makefile
  1.67      +25 -3     ports/ports-mgmt/portmk/Mk/bsd.port.mk
  1.106     +2 -2      ports/print/libgnomeprint/Makefile
  1.37      +2 -2      ports/print/lilypond/Makefile
  1.7       +2 -2      ports/science/omnetpp/Makefile
  1.24      +2 -1      ports/security/aide/Makefile
  1.34      +2 -2      ports/security/bro/Makefile
  1.60      +2 -1      ports/security/nessus-libnasl/Makefile
  1.60      +2 -1      ports/security/nessus-libraries/Makefile
  1.8       +2 -1      ports/sysutils/monit/Makefile
  1.6       +2 -1      ports/sysutils/powerman/Makefile
  1.7       +2 -3      ports/textproc/carthage/Makefile
  1.47      +2 -1      ports/textproc/dict/Makefile
  1.2       +3 -2      ports/textproc/flex/Makefile
  1.19      +2 -2      ports/textproc/htmltolatex/Makefile
  1.27      +2 -2      ports/textproc/latte/Makefile
  1.19      +2 -1      ports/textproc/libpathan/Makefile
  1.18      +2 -2      ports/textproc/mifluz/Makefile
  1.56      +2 -2      ports/textproc/scrollkeeper/Makefile
  1.8       +2 -1      ports/textproc/syck/Makefile
  1.22      +2 -2      ports/textproc/xxdiff/Makefile
  1.10      +2 -2      ports/www/bk_edit/Makefile
  1.44      +2 -1      ports/www/cherokee-devel/Makefile
  1.40      +2 -2      ports/www/cherokee/Makefile
  1.46      +2 -2      ports/www/elinks/Makefile
  1.9       +2 -1      ports/www/srg/Makefile
  1.9       +2 -2      ports/x11-clocks/buici-clock/Makefile
  1.49      +2 -2      ports/x11-toolkits/libgnomeprintui/Makefile
  1.54      +2 -2      ports/x11-toolkits/libgnomeui/Makefile
  1.54      +2 -2      ports/x11-toolkits/libwnck/Makefile
  1.32      +2 -2      ports/x11-toolkits/libzvt/Makefile
  1.74      +2 -2      ports/x11-toolkits/vte/Makefile
  1.64      +2 -2      ports/x11/gnome-desktop/Makefile
  1.158     +2 -2      ports/x11/libgnome/Makefile
  1.18      +2 -2      ports/x11/xstroke/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 ade freebsd_committer 2007-10-17 11:14:11 UTC
State Changed
From-To: open->closed

Patch committed after -exp run.  Many thanks (as usual) to Mark for 
doing the run.